
/*
Theme Name:   Twenty Fifteen SiLO.immo Montreal Guide Condo Child
Theme URI:    http://example.com/twenty-fifteen-child/
Description:  Twenty Fifteen Child Theme
Author:       SiLO.immo
Author URI:   https://silo.immo/
Template:     twentytwentytwo
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
Text Domain:  twentyfifteensilochild
*/
.wp-block-post-author__name{
    display: none;
}
.wp-block-post-date{
    display: none;
}
#wp--skip-link--target  .wp-block-post-template{
display: grid;
align-content: center;
justify-content: center;
align-items: center;
justify-items: center;
grid-template-columns: repeat(auto-fill,minmax(368px,1fr));
column-gap: 25px;
row-gap: 25px;
}
@media (max-width:660px){
    #wp--skip-link--target  .wp-block-post-template{
        display: block;
    }
}
h2.wp-block-post-title{
    font-size: 2.5rem;
}
.wp-block-latest-posts.wp-block-latest-posts__list li{
    display: flex;
    gap: 20px;
}
.mc4wp-form-fields p label{
    font-family: var(--wp--preset--font-family--source-serif-pro);
    font-weight:300;
}
.mc4wp-form-theme input[type=email], .mc4wp-form input[type=email]{
    border: none;
    border-bottom: 1px solid #ccc;
    border-radius: 0px;
    padding-left: 0px;
    display: block;
    width: 100%;
    margin: 10px 0px;
}
.mc4wp-form-theme-light input[type=submit]{
    font-family: var(--wp--preset--font-family--source-serif-pro);
    border-radius: 0px;
}
.alm-listing .alm-reveal li{
    list-style: none;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 6px;
    margin-bottom: 30px;
}
.alm-listing .alm-reveal li h3{
    grid-column: span 3;
    font-size: 38px;
    margin: 0px;
}
@media (max-width:720px){
    .alm-listing .alm-reveal li h3{
        grid-column: span 3;
        font-size: 30px;
        margin: 0px;
    }
}
.alm-listing .alm-reveal li .entry-meta{
    display: none;
    pointer-events: none;
}
.alm-listing .alm-reveal li p{
    margin: 0px;
    font-size: 14px;
    grid-column: span 4;
}
figure{
    max-width: 100%;
    text-align: center !important;
}
@media (max-width:940px){
    .footer-needs-mobile>div{
        display: block;
    }
    .footer-repertories{
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap !important;
        align-content: center;
        justify-content: center;
    }
}
/* Random posts start */
.random-posts {
    column-count: 2; /* Two columns */
    column-gap: 30px; /* Gap between columns */
    list-style: none;
    padding: 0;
    margin: 0;
}

.random-post {
      opacity: 0;
    background: #fff;
    break-inside: avoid;
    margin-bottom: 30px;
    position: relative; /* Needed for positioning text over the image */
    border-top-right-radius: 20px;
    overflow: hidden;
    transition: all 0.5s ease-in-out;
}
.random-post:hover {
    transform: scale(1.06);
    z-index: 9;
    box-shadow: -1px 0px 0 9px #fff;
}
/* .random-post:hover img{
    border-radius: 5px;
} */
.random-post img {
    width: 100%;
    height: 100%; /* Full height of the li */
    object-fit: cover; /* Ensures the image covers the area */
    vertical-align: bottom; /* Aligns image to the bottom of the container */
    transition: all 0.5s ease-in-out;
}
.random-post:not(.ad-container):nth-child(10n+1) {
    height: 260px;
}

.random-post:not(.ad-container):nth-child(10n+2) {
    height: 410px;
}

.random-post:not(.ad-container):nth-child(10n+3) {
    height: 400px;
}

.random-post:not(.ad-container):nth-child(10n+4) {
    height: 450px;
}

.random-post:not(.ad-container):nth-child(10n+5) {
    height: 500px;
}

.random-post:not(.ad-container):nth-child(10n+6) {
    height: 350px;
}

.random-post:not(.ad-container):nth-child(10n+7) {
    height: 460px;
}

.random-post:not(.ad-container):nth-child(10n+8) {
    height: 500px;
}

.random-post:not(.ad-container):nth-child(10n+9) {
    height: 420px;
}

.random-post:not(.ad-container):nth-child(10n+10) {
    height: 480px;
}



.random-post h2 {
    box-sizing: border-box;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #fff;
    color: rgba(0, 0, 0, 0.7);
    margin: 0;
    padding: 8px;
    font-size: 1.1rem;
    text-align: center;
/*     border-radius: 0px 0px 9px 9px; */
    text-decoration: none;
    font-weight: 500;
    font-family: var(--wp--preset--font-family--source-serif-pro);
}

@media screen and (max-width: 600px) {
    .random-posts {
        column-count: 1; /* Single column on small screens */
    }

    .random-post:nth-child(odd),
    .random-post:nth-child(even) {
        height: auto; /* Adjust height for small screens */
    }
}
.load-more-posts {
    display: block; /* Makes the button a block element */
    margin: 20px auto; /* Centers the button and adds some space above it */
    padding: 10px 20px; /* Padding inside the button */
    background-color: #343434; /* Background color of the button */
    color: white; /* Text color */
    border: none; /* Removes the border */
    border-radius: 5px; /* Rounded corners */
    font-size: 1rem; /* Adjusts font size */
    cursor: pointer; /* Changes cursor to pointer on hover */
    text-align: center; /* Ensures text is centered */
    text-decoration: none; /* Removes underline from text */
    transition: background-color 0.3s; /* Smooth transition for hover effect */
    max-width: 140px !important;
}

.load-more-posts:hover {
    background-color: #000; /* Darker shade on hover */
}
.ad-image{
    max-width: 100%;
}

/* Random post end */
.home-text{
    max-width: 800px;
    padding: 10px;
    margin: auto;
    font-size: 20px;
}
.toggle-trigger{
    margin: auto;
    display: block;
    position: relative;
    width: fit-content;
}
.toggle-paragraph{
    max-width: 800px;
    padding: 10px;
    margin: auto;
    font-size: 14px;
}
.hyvor-talk-container{
    max-width: var(--wp--style--global--content-size);
    margin-left: auto !important;
    margin-right: auto !important;
}
#wp--skip-link--target .wp-block-post-template {
    max-width: 1040px;
}